<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<settings>

    <category label="30101">
        <setting id="xmltv.type" label="XMLTV Source" type="enum" enable="true" visible="false" default="1" values="File|Url" />
        <setting id="xmltv.file" label="XMLTV File" type="file" visible="eq(-1,0)" />
        <setting id="xmltv.url" label="XMLTV Url" type="text" enable="true" visible="false" default="http://stvbguides.com/guide.xml" />
        <setting id="gz" label="Look for .gz Files (Urls only)" type="bool" default="false" visible="false" />
        <setting id="md5" label="md5 Check (Urls only)" type="bool" default="false" visible="false" />
        <setting id="xmltv.refresh" label="Reset on Start" type="bool" default="false" />
        <setting id="xmltv.interval" label="30128" type="enum" default="2" values="every start|12 hours|24 hours|48 hours|7 days|14 days" />
        <setting id="xmltv.date" label="Treat 4 Digit Program Date as Movie" type="bool" default="true" visible="false" />
        <setting type="sep"/>

    </category>
    <category label="Optional">
        <setting id="authentication" label="Authentication" type="bool" default="false" visible="false" />
        <setting id="user" label="User" type="text" visible="eq(-1,true)" default="" />
        <setting id="password" label="Password" type="text" visible="eq(-2,true)" option="hidden" default=""/>
        <setting type="lsep" label="Import addons.ini will overwrite added addon folders!" visible="false"/>
        <setting id="addons.ini.enabled" label="Import addons.ini" type="bool" default="true" visible="false" />
        <setting id="addons.ini.type" label="addons.ini Source" type="enum" enable="true" visible="false" default="1" values="File|Url"/>
        <setting id="addons.ini.file" label="addons.ini File" type="file" visible="eq(-2,true) + eq(-1,0)" mask="addons.ini" default=''/>
        <setting id="addons.ini.url" label="addons.ini Url" type="text" enable="true" visible="false" default="http://stvbguides.com/addons.ini"/>
        <setting id="addons.ini.overwrite" label="Overwrite or Merge Local addons.ini" type="enum" enable="true" visible="false" default='0' values="Overwrite|Merge"/>
        <setting id="addons.ini.subscriptions" label="Enable addons.ini m3u Playlist Subscriptions" type="bool" default='false' visible="false" />
        <setting label="Manage addons.ini m3u Playlist Subscriptions" type="action" enable="eq(-1,true)" action="RunScript($CWD/subscriptions.py)" visible="false" />
        <setting type="lsep" label="Refresh may take some time!" visible="false"/>
        <setting label="Refresh Addon Folders" type="action" action="RunScript($CWD/ReloadAddonFolders.py)" visible="false" />
        <setting type="lsep" label="Categories can be created via context menu" visible="false" />
        <setting id="categories.ini.enabled" label="Import categories.ini" type="bool" default="true" visible="false" />
        <setting id="categories.ini.type" label="categories.ini Source" type="enum" visible="false" default="1" values="File|Url"/>
        <setting id="categories.ini.file" label="categories.ini File" type="file" visible="eq(-2,true) + eq(-1,0)" mask="categories.ini" default=''/>
        <setting id="categories.ini.url" label="categories.ini Url" type="text" visible="false" default="http://stvbguides.com/categories.ini"/>
        <setting id="categories.remember" label="Remember Last Category" type="bool" visible="true" default="true" />
        <setting type="lsep" label="Channel Mappings"/>
        <setting id="mapping.ini.enabled" label="Import mapping.ini" type="bool" default="false" />
        <setting id="mapping.ini.type" label="mapping.ini Source" type="enum" visible="eq(-1,true)" default="0" values="File|Url"/>
        <setting id="mapping.ini.file" label="mapping.ini File" type="file" visible="eq(-2,true) + eq(-1,0)" mask="*.ini" default=''/>
        <setting id="mapping.ini.url" label="mapping.ini Url" type="text" visible="eq(-3,true) + eq(-2,1)" default=''/>
        <setting id="mapping.m3u.enabled" label="Import m3u" type="bool" default="false"  visible="false" />
        <setting id="mapping.m3u.type" label="m3u Source" type="enum" visible="eq(-1,true)" default="0" values="File|Url"/>
        <setting id="mapping.m3u.file" label="m3u File" type="file" visible="eq(-2,true) + eq(-1,0)"  default=''/>
        <setting id="mapping.m3u.url" label="m3u Url" type="text" visible="eq(-3,true) + eq(-2,1)" default=''/>
    </category>

	
	
	
	
	
    <category label="Logos">
        <setting id="logos.enabled" label="Enable Channel Logos" type="bool" default="true" visible="false"/>
        <setting id="logos.source" label="External Logo Source" type="enum" default="2" values="None|Folder|Url" visible="false" />
        <setting id="logos.folder" label="Logos Folder" type="folder" visible="eq(-2,true) + eq(-1,1)" />
        <setting id="logos.url" label="Logos Url" type="text" visible="false" default="http://stvbguides.com/channels/"/>
        <setting id="logos.keep" label="Keep Last Channel Logo Mapping" type="bool" default="false" visible="false" />
        <setting type="sep"/>
        <setting id="xmltv.logos" label="Use xmltv Logos" type="bool" visible="eq(-5,true)" default="false" />
        <setting id="addon.logos" label="Use Addon Folder Logos" type="bool" visible="eq(-6,true)" default="false" />
        
        <setting id="thelogodb" label="Use TheLogoDB.com Logos" type="enum" default="0" values="Never|If Missing|Always" />
        <setting label="Delete TheLogoDB.com Cache" type="action" action="RunScript($CWD/ResetDatabase.py, 4)" />
    </category>
	
	
	
	
	
	
    <category label="Playback">
        <setting id="catchup.text" label="Catchup Addon (plugin.video.?)" type="text" default="Meta" visible="false" />
        <setting id="catchup.channel" label="Show Catchup Channel" type="bool" default="false" visible="false"/>
        <setting type="lsep" label="Channel Shortcuts (xmltv Ids must be Numeric)" visible="false"/>
        <setting id="channel.shortcut" label="Channel Shortcut Type" type="enum" default="2" values="None|Index|xmltv Id" visible="false" />
        <setting id="channel.shortcut.direct" label="Start When Any Number Key Pressed (or map Shift Key to start)" visible="false" type="bool" default="true" />
        <setting id="channel.shortcut.behaviour" label="Auto-Play Channel On Numeric Input" enable="true" visible="false" type="enum" default="1" values="Always Scroll|Scroll in EPG, Play in TV Mode|Always Play" />
        <setting id="channel.index.digits" label="Channel Shortcut Digits" enable="true" visible="false" default="3" type="number"/>
        <setting label="Shortcut Editor (run the guide once to create the file)" type="action" action="RunScript($CWD/ShortcutEditor.py)" visible="false" />
        <setting type="sep" visible="false"/>
        <setting id="play.menu" label="Always Open Menu on Play (Good for Touch Devices)" type="bool" default="false" />
        <setting type="sep"/>
        <setting id="play.alt.choose" label="Always Choose Channel if Alternative Streams Exist" type="bool" default="true" />
        <setting id="play.alt.continue" label="Try Other Alternative Streams if Play Fails" type="bool" default="true" />
        <setting type="sep" visible="false"/>
        <setting label="30119" type="lsep" />
        <setting id="enable.osd" label="30118" type="bool" default="false" />
        <setting id="alternative.playback" label="30120" type="bool" default="false" />
        <setting type="lsep" label="Playback OSD and Timeout are Cumulative"/>
        <setting id="playback.osd.timeout" label="Playback OSD (seconds)" type="labelenum" default="5" values="0|1|2|3|4|5|10|15|20|30"/>
        <setting id="playback.timeout" label="Playback Timeout (seconds)" type="labelenum" default="10" values="0|1|2|3|4|5|10|15|20|30"/>
        <setting type="sep"/>
        <setting id="stop.on.exit" label="Stop Playing on Exit" type="bool" default="false" />
        <setting id="play.minimized" label="Start Playback in Background/Window" type="bool" default="false" />
        <setting id="exit.on.back" label="Exit from EPG on Back Button" type="bool" default="false"  visible="eq(-1,false)"/>
    </category>
	
	
	
	
	
	
    <category label="Appearance">
        <setting id="skin.source" label="Skin Type" type="enum" default="0" values="Ours|Yours|Folder" visible="false" />
        <setting id="skin" label="Skin" type="fileenum" values="resources/skins" mask="/" default="stvb-blue" visible="eq(-1,0)"/>
        <setting id="skin.folder" label="Skin Folder (above resources/skins)" type="folder"  visible="eq(-2,2)"/>
        <setting id="skin.user" label="User Skin Name" type="text" visible="gt(-3,0))" default=''/>
        <setting id="epg.video.pip" label="Small EPG Video Preview Window" type="bool" default="true" />
        <setting type="sep"/>
        <setting id="program.image.scale" label="Scale Program Image" type="bool" default="false" />
        <setting type="sep"/>
        <setting id="stream.addon.list" label="List View for Choose Stream" type="bool" default="false" />
        <setting type="sep"/>
        <setting id="up.cat.mode" label="Up to Categories Bar" type="select" default="First Channel" values="No|First Channel|Always" />
        <setting id="action.bar" label="Show Action Bar" type="bool" default="true" />
        <setting id="down.action" label="Down to Action Bar" type="bool" default="true" />
        <setting label="Reset Action Bar" type="action" action="RunScript($CWD/actions.py)" />
        <setting type="sep"/>
        <setting id="program.search.plot" label="Program Search in Synopsis/Title" type="bool" default="false" />
        <setting type="lsep" label="Listings Views"/>
        <setting id="listing.days" label="Listing View Future Days" default="3" type="number"  visible="true"/>
        <setting id="listing.hours" label="Listing View Previous Hours" type="number" default="2" />
        <setting id="listing.sort.time" label="Sort Listings Views by Time" type="bool" default="true" />
        <setting type="sep"/>
        <!--TODO REMOVED UNTIL STABLE
        <setting id="enable.nextup" label="Show Up Next" type="bool" default="true" />
        <setting id="nextup.time" type="number" label="  - Time before end in seconds to show" default="20" visible="eq(-1,true)" enable="true"/>
        <setting id="enable.nextup.showTime" label="  - Set display time" visible="eq(-2,true)" type="bool" default="false" />
        <setting id="nextup.showTime" type="number" label="    - Time in seconds to show" default="10" visible="eq(-1,true)" enable="true"/> -->
        <setting id="enable.nextup" label="Show Up Next" type="bool" default="true" visible="false"/>
        <setting id="nextup.time" type="number" label="  - Time before end in seconds to show" default="20" visible="false" enable="true"/>
        <setting id="enable.nextup.showTime" label="  - Set display time" visible="false" type="bool" default="false" />
        <setting id="nextup.showTime" type="number" label="    - Time in seconds to show" default="10" visible="false" enable="true"/>
        <setting type="sep"/>
        <setting id="search.type" label="iSearch or MySearch" type="select" default="MySearch" values="iSearch|MySearch" />
        <setting id="favourites" label="Favourite Favourites" type="select" default="Favourites" values="Favourites|Simple Favourites|Video Favourites|Super Favourites" />
        <setting type="sep"/>
        <setting id="date.long" label="Show Long Date in EPG" type="bool" default="true" />
        <setting id="mouse.controls" label="Show Touch Control Buttons" type="bool" default="true" />
        <setting id="channel.logo" label="Show Channel Logo in EPG above Program Image" type="bool" default="false" visible="false" />
        <setting type="sep"/>
        <setting id="channels.per.page" label="Channels per Page" type="labelenum" default="6" values="1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16"/>
        <setting type="sep"/>
        <setting id="channel.filter.sort" label="Sort Order for Channels in Categories" type="enum" default="0" values="Default|Sorted|categories.ini"/>
        <setting type="sep"/>
        <setting id="addon.match" label="Channel Matching" type="enum" default="1" values="Exact|Containing|Everything"/>
        <setting type="sep"/>
        <setting id="no.programs.message" label="No Programs Message" type="text" default="Listings will return shortly"/>
        <setting type="sep"/>
        <setting id="menu.addon" label="Show Addon in Context Menu" type="bool" default="true"/>
        <setting id="epg.box.spacing" label="Epg Program Title Box Spacing" type="labelenum" default="2" values="2|3|4|5|6|7|8|9|10" visible="false" />
        <setting type="sep"/>
        <setting id="last.channel.popup" label="Last Channel Popup in OSD or ContextMenu" type="enum" default="0" values="OSD Popup|ContextMenu"/>
        <setting type="sep"/>
        <setting id="redraw.epg" label="RedrawEPG closing windows in VideoMode" type="bool" default="true"/>
    </category>

	
	
	
	
	
	

    <category label="Background">
        <setting id="program.background.enabled" label="Enable Background Program Image" type="bool" default="false" />
        <setting id="program.background.image.source" label="Background Image Source" type="enum" default="2" values="None|File|Url" visible="true" />
        <setting id="program.background.image" label="Background Image File" type="image" visible="eq(-1,1)" />
        <setting id="program.background.image.url" label="Background Image Url" type="text" visible="eq(-2,2)" default="http://stvbguides.com/concept.png"/>
        <setting label="Pick Image" type="action" visible="false" action="RunScript($CWD/PickImage.py,remote,program.background.image.url)" />
        <setting id="program.background.color" label="Background EPG Colour" visible="eq(-4,0)" type="select" values="[COLOR fff0f8ff]aliceblue[/COLOR]|[COLOR fffaebd7]antiquewhite[/COLOR]|[COLOR ff00ffff]aqua[/COLOR]|[COLOR ff7fffd4]aquamarine[/COLOR]|[COLOR fff0ffff]azure[/COLOR]|[COLOR fff5f5dc]beige[/COLOR]|[COLOR ffffe4c4]bisque[/COLOR]|[COLOR ff606060]black[/COLOR]|[COLOR ffffebcd]blanchedalmond[/COLOR]|[COLOR ff0000ff]blue[/COLOR]|[COLOR ff8a2be2]blueviolet[/COLOR]|[COLOR ffa52a2a]brown[/COLOR]|[COLOR ffdeb887]burlywood[/COLOR]|[COLOR ff5f9ea0]cadetblue[/COLOR]|[COLOR ff7fff00]chartreuse[/COLOR]|[COLOR ffd2691e]chocolate[/COLOR]|[COLOR ffff7f50]coral[/COLOR]|[COLOR ff6495ed]cornflowerblue[/COLOR]|[COLOR fffff8dc]cornsilk[/COLOR]|[COLOR ffdc143c]crimson[/COLOR]|[COLOR ff00ffff]cyan[/COLOR]|[COLOR ff00008b]darkblue[/COLOR]|[COLOR ff008b8b]darkcyan[/COLOR]|[COLOR ffb8860b]darkgoldenrod[/COLOR]|[COLOR ffa9a9a9]darkgray[/COLOR]|[COLOR ff006400]darkgreen[/COLOR]|[COLOR ffa9a9a9]darkgrey[/COLOR]|[COLOR ffbdb76b]darkkhaki[/COLOR]|[COLOR ff8b008b]darkmagenta[/COLOR]|[COLOR ff556b2f]darkolivegreen[/COLOR]|[COLOR ffff8c00]darkorange[/COLOR]|[COLOR ff9932cc]darkorchid[/COLOR]|[COLOR ff8b0000]darkred[/COLOR]|[COLOR ffe9967a]darksalmon[/COLOR]|[COLOR ff8fbc8f]darkseagreen[/COLOR]|[COLOR ff483d8b]darkslateblue[/COLOR]|[COLOR ff2f4f4f]darkslategray[/COLOR]|[COLOR ff2f4f4f]darkslategrey[/COLOR]|[COLOR ff00ced1]darkturquoise[/COLOR]|[COLOR ff9400d3]darkviolet[/COLOR]|[COLOR ffff1493]deeppink[/COLOR]|[COLOR ff00bfff]deepskyblue[/COLOR]|[COLOR ff696969]dimgray[/COLOR]|[COLOR ff696969]dimgrey[/COLOR]|[COLOR ff1e90ff]dodgerblue[/COLOR]|[COLOR ffb22222]firebrick[/COLOR]|[COLOR fffffaf0]floralwhite[/COLOR]|[COLOR ff228b22]forestgreen[/COLOR]|[COLOR ffff00ff]fuchsia[/COLOR]|[COLOR ffdcdcdc]gainsboro[/COLOR]|[COLOR fff8f8ff]ghostwhite[/COLOR]|[COLOR ffffd700]gold[/COLOR]|[COLOR ffdaa520]goldenrod[/COLOR]|[COLOR ff808080]gray[/COLOR]|[COLOR ff008000]green[/COLOR]|[COLOR ffadff2f]greenyellow[/COLOR]|[COLOR ff808080]grey[/COLOR]|[COLOR fff0fff0]honeydew[/COLOR]|[COLOR ffff69b4]hotpink[/COLOR]|[COLOR ffcd5c5c]indianred[/COLOR]|[COLOR ff4b0082]indigo[/COLOR]|[COLOR fffffff0]ivory[/COLOR]|[COLOR fff0e68c]khaki[/COLOR]|[COLOR ffe6e6fa]lavender[/COLOR]|[COLOR fffff0f5]lavenderblush[/COLOR]|[COLOR ff7cfc00]lawngreen[/COLOR]|[COLOR fffffacd]lemonchiffon[/COLOR]|[COLOR ffadd8e6]lightblue[/COLOR]|[COLOR fff08080]lightcoral[/COLOR]|[COLOR ffe0ffff]lightcyan[/COLOR]|[COLOR fffafad2]lightgoldenrodyellow[/COLOR]|[COLOR ffd3d3d3]lightgray[/COLOR]|[COLOR ff90ee90]lightgreen[/COLOR]|[COLOR ffd3d3d3]lightgrey[/COLOR]|[COLOR ffffb6c1]lightpink[/COLOR]|[COLOR ffffa07a]lightsalmon[/COLOR]|[COLOR ff20b2aa]lightseagreen[/COLOR]|[COLOR ff87cefa]lightskyblue[/COLOR]|[COLOR ff778899]lightslategray[/COLOR]|[COLOR ff778899]lightslategrey[/COLOR]|[COLOR ffb0c4de]lightsteelblue[/COLOR]|[COLOR ffffffe0]lightyellow[/COLOR]|[COLOR ff00ff00]lime[/COLOR]|[COLOR ff32cd32]limegreen[/COLOR]|[COLOR fffaf0e6]linen[/COLOR]|[COLOR ffff00ff]magenta[/COLOR]|[COLOR ff800000]maroon[/COLOR]|[COLOR ff66cdaa]mediumaquamarine[/COLOR]|[COLOR ff0000cd]mediumblue[/COLOR]|[COLOR ffba55d3]mediumorchid[/COLOR]|[COLOR ff9370db]mediumpurple[/COLOR]|[COLOR ff3cb371]mediumseagreen[/COLOR]|[COLOR ff7b68ee]mediumslateblue[/COLOR]|[COLOR ff00fa9a]mediumspringgreen[/COLOR]|[COLOR ff48d1cc]mediumturquoise[/COLOR]|[COLOR ffc71585]mediumvioletred[/COLOR]|[COLOR ff191970]midnightblue[/COLOR]|[COLOR fff5fffa]mintcream[/COLOR]|[COLOR ffffe4e1]mistyrose[/COLOR]|[COLOR ffffe4b5]moccasin[/COLOR]|[COLOR ffffdead]navajowhite[/COLOR]|[COLOR ff000080]navy[/COLOR]|[COLOR 00000000]none[/COLOR]|[COLOR fffdf5e6]oldlace[/COLOR]|[COLOR ff808000]olive[/COLOR]|[COLOR ff6b8e23]olivedrab[/COLOR]|[COLOR ffffa500]orange[/COLOR]|[COLOR ffff4500]orangered[/COLOR]|[COLOR ffda70d6]orchid[/COLOR]|[COLOR ffeee8aa]palegoldenrod[/COLOR]|[COLOR ff98fb98]palegreen[/COLOR]|[COLOR ffafeeee]paleturquoise[/COLOR]|[COLOR ffdb7093]palevioletred[/COLOR]|[COLOR ffffefd5]papayawhip[/COLOR]|[COLOR ffffdab9]peachpuff[/COLOR]|[COLOR ffcd853f]peru[/COLOR]|[COLOR ffffc0cb]pink[/COLOR]|[COLOR ffdda0dd]plum[/COLOR]|[COLOR ffb0e0e6]powderblue[/COLOR]|[COLOR ff800080]purple[/COLOR]|[COLOR ffff0000]red[/COLOR]|[COLOR ffbc8f8f]rosybrown[/COLOR]|[COLOR ff4169e1]royalblue[/COLOR]|[COLOR ff8b4513]saddlebrown[/COLOR]|[COLOR fffa8072]salmon[/COLOR]|[COLOR fff4a460]sandybrown[/COLOR]|[COLOR ff2e8b57]seagreen[/COLOR]|[COLOR fffff5ee]seashell[/COLOR]|[COLOR ffa0522d]sienna[/COLOR]|[COLOR ffc0c0c0]silver[/COLOR]|[COLOR ff87ceeb]skyblue[/COLOR]|[COLOR ff6a5acd]slateblue[/COLOR]|[COLOR ff708090]slategray[/COLOR]|[COLOR ff708090]slategrey[/COLOR]|[COLOR fffffafa]snow[/COLOR]|[COLOR ff00ff7f]springgreen[/COLOR]|[COLOR ff4682b4]steelblue[/COLOR]|[COLOR ffd2b48c]tan[/COLOR]|[COLOR ff008080]teal[/COLOR]|[COLOR ffd8bfd8]thistle[/COLOR]|[COLOR ffff6347]tomato[/COLOR]|[COLOR 00000000]transparent[/COLOR]|[COLOR ff40e0d0]turquoise[/COLOR]|[COLOR ffee82ee]violet[/COLOR]|[COLOR fff5deb3]wheat[/COLOR]|[COLOR ffffffff]white[/COLOR]|[COLOR fff5f5f5]whitesmoke[/COLOR]|[COLOR ffffff00]yellow[/COLOR]|[COLOR ff9acd32]yellowgreen[/COLOR]|" default="[COLOR ff4682b4]steelblue[/COLOR]" />
        <setting id="program.background.flat" label="Flat Background Image" visible="eq(-5,0)" type="bool" default="false" />
        <setting id="program.background.texture.url" label="Background Image Texture" visible="eq(-6,0) + eq(-1,false)" type="text" default="special://profile/addon_data/plugin.video.stvbguide/backgrounds/sunburst.png"/>
        <setting label="Pick Texture" type="action" visible="eq(-7,0) + eq(-2,false)" action="RunScript($CWD/PickImage.py,both,program.background.texture.url)" />
        <setting id="timebar.color" label="EPG Timebar Colour" type="select" values="[COLOR fff0f8ff]aliceblue[/COLOR]|[COLOR fffaebd7]antiquewhite[/COLOR]|[COLOR ff00ffff]aqua[/COLOR]|[COLOR ff7fffd4]aquamarine[/COLOR]|[COLOR fff0ffff]azure[/COLOR]|[COLOR fff5f5dc]beige[/COLOR]|[COLOR ffffe4c4]bisque[/COLOR]|[COLOR ff606060]black[/COLOR]|[COLOR ffffebcd]blanchedalmond[/COLOR]|[COLOR ff0000ff]blue[/COLOR]|[COLOR ff8a2be2]blueviolet[/COLOR]|[COLOR ffa52a2a]brown[/COLOR]|[COLOR ffdeb887]burlywood[/COLOR]|[COLOR ff5f9ea0]cadetblue[/COLOR]|[COLOR ff7fff00]chartreuse[/COLOR]|[COLOR ffd2691e]chocolate[/COLOR]|[COLOR ffff7f50]coral[/COLOR]|[COLOR ff6495ed]cornflowerblue[/COLOR]|[COLOR fffff8dc]cornsilk[/COLOR]|[COLOR ffdc143c]crimson[/COLOR]|[COLOR ff00ffff]cyan[/COLOR]|[COLOR ff00008b]darkblue[/COLOR]|[COLOR ff008b8b]darkcyan[/COLOR]|[COLOR ffb8860b]darkgoldenrod[/COLOR]|[COLOR ffa9a9a9]darkgray[/COLOR]|[COLOR ff006400]darkgreen[/COLOR]|[COLOR ffa9a9a9]darkgrey[/COLOR]|[COLOR ffbdb76b]darkkhaki[/COLOR]|[COLOR ff8b008b]darkmagenta[/COLOR]|[COLOR ff556b2f]darkolivegreen[/COLOR]|[COLOR ffff8c00]darkorange[/COLOR]|[COLOR ff9932cc]darkorchid[/COLOR]|[COLOR ff8b0000]darkred[/COLOR]|[COLOR ffe9967a]darksalmon[/COLOR]|[COLOR ff8fbc8f]darkseagreen[/COLOR]|[COLOR ff483d8b]darkslateblue[/COLOR]|[COLOR ff2f4f4f]darkslategray[/COLOR]|[COLOR ff2f4f4f]darkslategrey[/COLOR]|[COLOR ff00ced1]darkturquoise[/COLOR]|[COLOR ff9400d3]darkviolet[/COLOR]|[COLOR ffff1493]deeppink[/COLOR]|[COLOR ff00bfff]deepskyblue[/COLOR]|[COLOR ff696969]dimgray[/COLOR]|[COLOR ff696969]dimgrey[/COLOR]|[COLOR ff1e90ff]dodgerblue[/COLOR]|[COLOR ffb22222]firebrick[/COLOR]|[COLOR fffffaf0]floralwhite[/COLOR]|[COLOR ff228b22]forestgreen[/COLOR]|[COLOR ffff00ff]fuchsia[/COLOR]|[COLOR ffdcdcdc]gainsboro[/COLOR]|[COLOR fff8f8ff]ghostwhite[/COLOR]|[COLOR ffffd700]gold[/COLOR]|[COLOR ffdaa520]goldenrod[/COLOR]|[COLOR ff808080]gray[/COLOR]|[COLOR ff008000]green[/COLOR]|[COLOR ffadff2f]greenyellow[/COLOR]|[COLOR ff808080]grey[/COLOR]|[COLOR fff0fff0]honeydew[/COLOR]|[COLOR ffff69b4]hotpink[/COLOR]|[COLOR ffcd5c5c]indianred[/COLOR]|[COLOR ff4b0082]indigo[/COLOR]|[COLOR fffffff0]ivory[/COLOR]|[COLOR fff0e68c]khaki[/COLOR]|[COLOR ffe6e6fa]lavender[/COLOR]|[COLOR fffff0f5]lavenderblush[/COLOR]|[COLOR ff7cfc00]lawngreen[/COLOR]|[COLOR fffffacd]lemonchiffon[/COLOR]|[COLOR ffadd8e6]lightblue[/COLOR]|[COLOR fff08080]lightcoral[/COLOR]|[COLOR ffe0ffff]lightcyan[/COLOR]|[COLOR fffafad2]lightgoldenrodyellow[/COLOR]|[COLOR ffd3d3d3]lightgray[/COLOR]|[COLOR ff90ee90]lightgreen[/COLOR]|[COLOR ffd3d3d3]lightgrey[/COLOR]|[COLOR ffffb6c1]lightpink[/COLOR]|[COLOR ffffa07a]lightsalmon[/COLOR]|[COLOR ff20b2aa]lightseagreen[/COLOR]|[COLOR ff87cefa]lightskyblue[/COLOR]|[COLOR ff778899]lightslategray[/COLOR]|[COLOR ff778899]lightslategrey[/COLOR]|[COLOR ffb0c4de]lightsteelblue[/COLOR]|[COLOR ffffffe0]lightyellow[/COLOR]|[COLOR ff00ff00]lime[/COLOR]|[COLOR ff32cd32]limegreen[/COLOR]|[COLOR fffaf0e6]linen[/COLOR]|[COLOR ffff00ff]magenta[/COLOR]|[COLOR ff800000]maroon[/COLOR]|[COLOR ff66cdaa]mediumaquamarine[/COLOR]|[COLOR ff0000cd]mediumblue[/COLOR]|[COLOR ffba55d3]mediumorchid[/COLOR]|[COLOR ff9370db]mediumpurple[/COLOR]|[COLOR ff3cb371]mediumseagreen[/COLOR]|[COLOR ff7b68ee]mediumslateblue[/COLOR]|[COLOR ff00fa9a]mediumspringgreen[/COLOR]|[COLOR ff48d1cc]mediumturquoise[/COLOR]|[COLOR ffc71585]mediumvioletred[/COLOR]|[COLOR ff191970]midnightblue[/COLOR]|[COLOR fff5fffa]mintcream[/COLOR]|[COLOR ffffe4e1]mistyrose[/COLOR]|[COLOR ffffe4b5]moccasin[/COLOR]|[COLOR ffffdead]navajowhite[/COLOR]|[COLOR ff000080]navy[/COLOR]|[COLOR 00000000]none[/COLOR]|[COLOR fffdf5e6]oldlace[/COLOR]|[COLOR ff808000]olive[/COLOR]|[COLOR ff6b8e23]olivedrab[/COLOR]|[COLOR ffffa500]orange[/COLOR]|[COLOR ffff4500]orangered[/COLOR]|[COLOR ffda70d6]orchid[/COLOR]|[COLOR ffeee8aa]palegoldenrod[/COLOR]|[COLOR ff98fb98]palegreen[/COLOR]|[COLOR ffafeeee]paleturquoise[/COLOR]|[COLOR ffdb7093]palevioletred[/COLOR]|[COLOR ffffefd5]papayawhip[/COLOR]|[COLOR ffffdab9]peachpuff[/COLOR]|[COLOR ffcd853f]peru[/COLOR]|[COLOR ffffc0cb]pink[/COLOR]|[COLOR ffdda0dd]plum[/COLOR]|[COLOR ffb0e0e6]powderblue[/COLOR]|[COLOR ff800080]purple[/COLOR]|[COLOR ffff0000]red[/COLOR]|[COLOR ffbc8f8f]rosybrown[/COLOR]|[COLOR ff4169e1]royalblue[/COLOR]|[COLOR ff8b4513]saddlebrown[/COLOR]|[COLOR fffa8072]salmon[/COLOR]|[COLOR fff4a460]sandybrown[/COLOR]|[COLOR ff2e8b57]seagreen[/COLOR]|[COLOR fffff5ee]seashell[/COLOR]|[COLOR ffa0522d]sienna[/COLOR]|[COLOR ffc0c0c0]silver[/COLOR]|[COLOR ff87ceeb]skyblue[/COLOR]|[COLOR ff6a5acd]slateblue[/COLOR]|[COLOR ff708090]slategray[/COLOR]|[COLOR ff708090]slategrey[/COLOR]|[COLOR fffffafa]snow[/COLOR]|[COLOR ff00ff7f]springgreen[/COLOR]|[COLOR ff4682b4]steelblue[/COLOR]|[COLOR ffd2b48c]tan[/COLOR]|[COLOR ff008080]teal[/COLOR]|[COLOR ffd8bfd8]thistle[/COLOR]|[COLOR ffff6347]tomato[/COLOR]|[COLOR 00000000]transparent[/COLOR]|[COLOR ff40e0d0]turquoise[/COLOR]|[COLOR ffee82ee]violet[/COLOR]|[COLOR fff5deb3]wheat[/COLOR]|[COLOR ffffffff]white[/COLOR]|[COLOR fff5f5f5]whitesmoke[/COLOR]|[COLOR ffffff00]yellow[/COLOR]|[COLOR ff9acd32]yellowgreen[/COLOR]|" default="[COLOR ff87ceeb]skyblue[/COLOR]" />
        <setting id="epg.nofocus.color" label="EPG Text Colour" type="select" values="[COLOR fff0f8ff]aliceblue[/COLOR]|[COLOR fffaebd7]antiquewhite[/COLOR]|[COLOR ff00ffff]aqua[/COLOR]|[COLOR ff7fffd4]aquamarine[/COLOR]|[COLOR fff0ffff]azure[/COLOR]|[COLOR fff5f5dc]beige[/COLOR]|[COLOR ffffe4c4]bisque[/COLOR]|[COLOR ff606060]black[/COLOR]|[COLOR ffffebcd]blanchedalmond[/COLOR]|[COLOR ff0000ff]blue[/COLOR]|[COLOR ff8a2be2]blueviolet[/COLOR]|[COLOR ffa52a2a]brown[/COLOR]|[COLOR ffdeb887]burlywood[/COLOR]|[COLOR ff5f9ea0]cadetblue[/COLOR]|[COLOR ff7fff00]chartreuse[/COLOR]|[COLOR ffd2691e]chocolate[/COLOR]|[COLOR ffff7f50]coral[/COLOR]|[COLOR ff6495ed]cornflowerblue[/COLOR]|[COLOR fffff8dc]cornsilk[/COLOR]|[COLOR ffdc143c]crimson[/COLOR]|[COLOR ff00ffff]cyan[/COLOR]|[COLOR ff00008b]darkblue[/COLOR]|[COLOR ff008b8b]darkcyan[/COLOR]|[COLOR ffb8860b]darkgoldenrod[/COLOR]|[COLOR ffa9a9a9]darkgray[/COLOR]|[COLOR ff006400]darkgreen[/COLOR]|[COLOR ffa9a9a9]darkgrey[/COLOR]|[COLOR ffbdb76b]darkkhaki[/COLOR]|[COLOR ff8b008b]darkmagenta[/COLOR]|[COLOR ff556b2f]darkolivegreen[/COLOR]|[COLOR ffff8c00]darkorange[/COLOR]|[COLOR ff9932cc]darkorchid[/COLOR]|[COLOR ff8b0000]darkred[/COLOR]|[COLOR ffe9967a]darksalmon[/COLOR]|[COLOR ff8fbc8f]darkseagreen[/COLOR]|[COLOR ff483d8b]darkslateblue[/COLOR]|[COLOR ff2f4f4f]darkslategray[/COLOR]|[COLOR ff2f4f4f]darkslategrey[/COLOR]|[COLOR ff00ced1]darkturquoise[/COLOR]|[COLOR ff9400d3]darkviolet[/COLOR]|[COLOR ffff1493]deeppink[/COLOR]|[COLOR ff00bfff]deepskyblue[/COLOR]|[COLOR ff696969]dimgray[/COLOR]|[COLOR ff696969]dimgrey[/COLOR]|[COLOR ff1e90ff]dodgerblue[/COLOR]|[COLOR ffb22222]firebrick[/COLOR]|[COLOR fffffaf0]floralwhite[/COLOR]|[COLOR ff228b22]forestgreen[/COLOR]|[COLOR ffff00ff]fuchsia[/COLOR]|[COLOR ffdcdcdc]gainsboro[/COLOR]|[COLOR fff8f8ff]ghostwhite[/COLOR]|[COLOR ffffd700]gold[/COLOR]|[COLOR ffdaa520]goldenrod[/COLOR]|[COLOR ff808080]gray[/COLOR]|[COLOR ff008000]green[/COLOR]|[COLOR ffadff2f]greenyellow[/COLOR]|[COLOR ff808080]grey[/COLOR]|[COLOR fff0fff0]honeydew[/COLOR]|[COLOR ffff69b4]hotpink[/COLOR]|[COLOR ffcd5c5c]indianred[/COLOR]|[COLOR ff4b0082]indigo[/COLOR]|[COLOR fffffff0]ivory[/COLOR]|[COLOR fff0e68c]khaki[/COLOR]|[COLOR ffe6e6fa]lavender[/COLOR]|[COLOR fffff0f5]lavenderblush[/COLOR]|[COLOR ff7cfc00]lawngreen[/COLOR]|[COLOR fffffacd]lemonchiffon[/COLOR]|[COLOR ffadd8e6]lightblue[/COLOR]|[COLOR fff08080]lightcoral[/COLOR]|[COLOR ffe0ffff]lightcyan[/COLOR]|[COLOR fffafad2]lightgoldenrodyellow[/COLOR]|[COLOR ffd3d3d3]lightgray[/COLOR]|[COLOR ff90ee90]lightgreen[/COLOR]|[COLOR ffd3d3d3]lightgrey[/COLOR]|[COLOR ffffb6c1]lightpink[/COLOR]|[COLOR ffffa07a]lightsalmon[/COLOR]|[COLOR ff20b2aa]lightseagreen[/COLOR]|[COLOR ff87cefa]lightskyblue[/COLOR]|[COLOR ff778899]lightslategray[/COLOR]|[COLOR ff778899]lightslategrey[/COLOR]|[COLOR ffb0c4de]lightsteelblue[/COLOR]|[COLOR ffffffe0]lightyellow[/COLOR]|[COLOR ff00ff00]lime[/COLOR]|[COLOR ff32cd32]limegreen[/COLOR]|[COLOR fffaf0e6]linen[/COLOR]|[COLOR ffff00ff]magenta[/COLOR]|[COLOR ff800000]maroon[/COLOR]|[COLOR ff66cdaa]mediumaquamarine[/COLOR]|[COLOR ff0000cd]mediumblue[/COLOR]|[COLOR ffba55d3]mediumorchid[/COLOR]|[COLOR ff9370db]mediumpurple[/COLOR]|[COLOR ff3cb371]mediumseagreen[/COLOR]|[COLOR ff7b68ee]mediumslateblue[/COLOR]|[COLOR ff00fa9a]mediumspringgreen[/COLOR]|[COLOR ff48d1cc]mediumturquoise[/COLOR]|[COLOR ffc71585]mediumvioletred[/COLOR]|[COLOR ff191970]midnightblue[/COLOR]|[COLOR fff5fffa]mintcream[/COLOR]|[COLOR ffffe4e1]mistyrose[/COLOR]|[COLOR ffffe4b5]moccasin[/COLOR]|[COLOR ffffdead]navajowhite[/COLOR]|[COLOR ff000080]navy[/COLOR]|[COLOR 00000000]none[/COLOR]|[COLOR fffdf5e6]oldlace[/COLOR]|[COLOR ff808000]olive[/COLOR]|[COLOR ff6b8e23]olivedrab[/COLOR]|[COLOR ffffa500]orange[/COLOR]|[COLOR ffff4500]orangered[/COLOR]|[COLOR ffda70d6]orchid[/COLOR]|[COLOR ffeee8aa]palegoldenrod[/COLOR]|[COLOR ff98fb98]palegreen[/COLOR]|[COLOR ffafeeee]paleturquoise[/COLOR]|[COLOR ffdb7093]palevioletred[/COLOR]|[COLOR ffffefd5]papayawhip[/COLOR]|[COLOR ffffdab9]peachpuff[/COLOR]|[COLOR ffcd853f]peru[/COLOR]|[COLOR ffffc0cb]pink[/COLOR]|[COLOR ffdda0dd]plum[/COLOR]|[COLOR ffb0e0e6]powderblue[/COLOR]|[COLOR ff800080]purple[/COLOR]|[COLOR ffff0000]red[/COLOR]|[COLOR ffbc8f8f]rosybrown[/COLOR]|[COLOR ff4169e1]royalblue[/COLOR]|[COLOR ff8b4513]saddlebrown[/COLOR]|[COLOR fffa8072]salmon[/COLOR]|[COLOR fff4a460]sandybrown[/COLOR]|[COLOR ff2e8b57]seagreen[/COLOR]|[COLOR fffff5ee]seashell[/COLOR]|[COLOR ffa0522d]sienna[/COLOR]|[COLOR ffc0c0c0]silver[/COLOR]|[COLOR ff87ceeb]skyblue[/COLOR]|[COLOR ff6a5acd]slateblue[/COLOR]|[COLOR ff708090]slategray[/COLOR]|[COLOR ff708090]slategrey[/COLOR]|[COLOR fffffafa]snow[/COLOR]|[COLOR ff00ff7f]springgreen[/COLOR]|[COLOR ff4682b4]steelblue[/COLOR]|[COLOR ffd2b48c]tan[/COLOR]|[COLOR ff008080]teal[/COLOR]|[COLOR ffd8bfd8]thistle[/COLOR]|[COLOR ffff6347]tomato[/COLOR]|[COLOR 00000000]transparent[/COLOR]|[COLOR ff40e0d0]turquoise[/COLOR]|[COLOR ffee82ee]violet[/COLOR]|[COLOR fff5deb3]wheat[/COLOR]|[COLOR ffffffff]white[/COLOR]|[COLOR fff5f5f5]whitesmoke[/COLOR]|[COLOR ffffff00]yellow[/COLOR]|[COLOR ff9acd32]yellowgreen[/COLOR]|" default="[COLOR ffffffff]white[/COLOR]" />
        <setting id="epg.focus.color" label="EPG Text Colour Highlight" type="select" values="[COLOR fff0f8ff]aliceblue[/COLOR]|[COLOR fffaebd7]antiquewhite[/COLOR]|[COLOR ff00ffff]aqua[/COLOR]|[COLOR ff7fffd4]aquamarine[/COLOR]|[COLOR fff0ffff]azure[/COLOR]|[COLOR fff5f5dc]beige[/COLOR]|[COLOR ffffe4c4]bisque[/COLOR]|[COLOR ff606060]black[/COLOR]|[COLOR ffffebcd]blanchedalmond[/COLOR]|[COLOR ff0000ff]blue[/COLOR]|[COLOR ff8a2be2]blueviolet[/COLOR]|[COLOR ffa52a2a]brown[/COLOR]|[COLOR ffdeb887]burlywood[/COLOR]|[COLOR ff5f9ea0]cadetblue[/COLOR]|[COLOR ff7fff00]chartreuse[/COLOR]|[COLOR ffd2691e]chocolate[/COLOR]|[COLOR ffff7f50]coral[/COLOR]|[COLOR ff6495ed]cornflowerblue[/COLOR]|[COLOR fffff8dc]cornsilk[/COLOR]|[COLOR ffdc143c]crimson[/COLOR]|[COLOR ff00ffff]cyan[/COLOR]|[COLOR ff00008b]darkblue[/COLOR]|[COLOR ff008b8b]darkcyan[/COLOR]|[COLOR ffb8860b]darkgoldenrod[/COLOR]|[COLOR ffa9a9a9]darkgray[/COLOR]|[COLOR ff006400]darkgreen[/COLOR]|[COLOR ffa9a9a9]darkgrey[/COLOR]|[COLOR ffbdb76b]darkkhaki[/COLOR]|[COLOR ff8b008b]darkmagenta[/COLOR]|[COLOR ff556b2f]darkolivegreen[/COLOR]|[COLOR ffff8c00]darkorange[/COLOR]|[COLOR ff9932cc]darkorchid[/COLOR]|[COLOR ff8b0000]darkred[/COLOR]|[COLOR ffe9967a]darksalmon[/COLOR]|[COLOR ff8fbc8f]darkseagreen[/COLOR]|[COLOR ff483d8b]darkslateblue[/COLOR]|[COLOR ff2f4f4f]darkslategray[/COLOR]|[COLOR ff2f4f4f]darkslategrey[/COLOR]|[COLOR ff00ced1]darkturquoise[/COLOR]|[COLOR ff9400d3]darkviolet[/COLOR]|[COLOR ffff1493]deeppink[/COLOR]|[COLOR ff00bfff]deepskyblue[/COLOR]|[COLOR ff696969]dimgray[/COLOR]|[COLOR ff696969]dimgrey[/COLOR]|[COLOR ff1e90ff]dodgerblue[/COLOR]|[COLOR ffb22222]firebrick[/COLOR]|[COLOR fffffaf0]floralwhite[/COLOR]|[COLOR ff228b22]forestgreen[/COLOR]|[COLOR ffff00ff]fuchsia[/COLOR]|[COLOR ffdcdcdc]gainsboro[/COLOR]|[COLOR fff8f8ff]ghostwhite[/COLOR]|[COLOR ffffd700]gold[/COLOR]|[COLOR ffdaa520]goldenrod[/COLOR]|[COLOR ff808080]gray[/COLOR]|[COLOR ff008000]green[/COLOR]|[COLOR ffadff2f]greenyellow[/COLOR]|[COLOR ff808080]grey[/COLOR]|[COLOR fff0fff0]honeydew[/COLOR]|[COLOR ffff69b4]hotpink[/COLOR]|[COLOR ffcd5c5c]indianred[/COLOR]|[COLOR ff4b0082]indigo[/COLOR]|[COLOR fffffff0]ivory[/COLOR]|[COLOR fff0e68c]khaki[/COLOR]|[COLOR ffe6e6fa]lavender[/COLOR]|[COLOR fffff0f5]lavenderblush[/COLOR]|[COLOR ff7cfc00]lawngreen[/COLOR]|[COLOR fffffacd]lemonchiffon[/COLOR]|[COLOR ffadd8e6]lightblue[/COLOR]|[COLOR fff08080]lightcoral[/COLOR]|[COLOR ffe0ffff]lightcyan[/COLOR]|[COLOR fffafad2]lightgoldenrodyellow[/COLOR]|[COLOR ffd3d3d3]lightgray[/COLOR]|[COLOR ff90ee90]lightgreen[/COLOR]|[COLOR ffd3d3d3]lightgrey[/COLOR]|[COLOR ffffb6c1]lightpink[/COLOR]|[COLOR ffffa07a]lightsalmon[/COLOR]|[COLOR ff20b2aa]lightseagreen[/COLOR]|[COLOR ff87cefa]lightskyblue[/COLOR]|[COLOR ff778899]lightslategray[/COLOR]|[COLOR ff778899]lightslategrey[/COLOR]|[COLOR ffb0c4de]lightsteelblue[/COLOR]|[COLOR ffffffe0]lightyellow[/COLOR]|[COLOR ff00ff00]lime[/COLOR]|[COLOR ff32cd32]limegreen[/COLOR]|[COLOR fffaf0e6]linen[/COLOR]|[COLOR ffff00ff]magenta[/COLOR]|[COLOR ff800000]maroon[/COLOR]|[COLOR ff66cdaa]mediumaquamarine[/COLOR]|[COLOR ff0000cd]mediumblue[/COLOR]|[COLOR ffba55d3]mediumorchid[/COLOR]|[COLOR ff9370db]mediumpurple[/COLOR]|[COLOR ff3cb371]mediumseagreen[/COLOR]|[COLOR ff7b68ee]mediumslateblue[/COLOR]|[COLOR ff00fa9a]mediumspringgreen[/COLOR]|[COLOR ff48d1cc]mediumturquoise[/COLOR]|[COLOR ffc71585]mediumvioletred[/COLOR]|[COLOR ff191970]midnightblue[/COLOR]|[COLOR fff5fffa]mintcream[/COLOR]|[COLOR ffffe4e1]mistyrose[/COLOR]|[COLOR ffffe4b5]moccasin[/COLOR]|[COLOR ffffdead]navajowhite[/COLOR]|[COLOR ff000080]navy[/COLOR]|[COLOR 00000000]none[/COLOR]|[COLOR fffdf5e6]oldlace[/COLOR]|[COLOR ff808000]olive[/COLOR]|[COLOR ff6b8e23]olivedrab[/COLOR]|[COLOR ffffa500]orange[/COLOR]|[COLOR ffff4500]orangered[/COLOR]|[COLOR ffda70d6]orchid[/COLOR]|[COLOR ffeee8aa]palegoldenrod[/COLOR]|[COLOR ff98fb98]palegreen[/COLOR]|[COLOR ffafeeee]paleturquoise[/COLOR]|[COLOR ffdb7093]palevioletred[/COLOR]|[COLOR ffffefd5]papayawhip[/COLOR]|[COLOR ffffdab9]peachpuff[/COLOR]|[COLOR ffcd853f]peru[/COLOR]|[COLOR ffffc0cb]pink[/COLOR]|[COLOR ffdda0dd]plum[/COLOR]|[COLOR ffb0e0e6]powderblue[/COLOR]|[COLOR ff800080]purple[/COLOR]|[COLOR ffff0000]red[/COLOR]|[COLOR ffbc8f8f]rosybrown[/COLOR]|[COLOR ff4169e1]royalblue[/COLOR]|[COLOR ff8b4513]saddlebrown[/COLOR]|[COLOR fffa8072]salmon[/COLOR]|[COLOR fff4a460]sandybrown[/COLOR]|[COLOR ff2e8b57]seagreen[/COLOR]|[COLOR fffff5ee]seashell[/COLOR]|[COLOR ffa0522d]sienna[/COLOR]|[COLOR ffc0c0c0]silver[/COLOR]|[COLOR ff87ceeb]skyblue[/COLOR]|[COLOR ff6a5acd]slateblue[/COLOR]|[COLOR ff708090]slategray[/COLOR]|[COLOR ff708090]slategrey[/COLOR]|[COLOR fffffafa]snow[/COLOR]|[COLOR ff00ff7f]springgreen[/COLOR]|[COLOR ff4682b4]steelblue[/COLOR]|[COLOR ffd2b48c]tan[/COLOR]|[COLOR ff008080]teal[/COLOR]|[COLOR ffd8bfd8]thistle[/COLOR]|[COLOR ffff6347]tomato[/COLOR]|[COLOR 00000000]transparent[/COLOR]|[COLOR ff40e0d0]turquoise[/COLOR]|[COLOR ffee82ee]violet[/COLOR]|[COLOR fff5deb3]wheat[/COLOR]|[COLOR ffffffff]white[/COLOR]|[COLOR fff5f5f5]whitesmoke[/COLOR]|[COLOR ffffff00]yellow[/COLOR]|[COLOR ff9acd32]yellowgreen[/COLOR]|" default="[COLOR ff606060]black[/COLOR]" />
        <setting id="categories.background.color" label="Categories Background Colour" type="select" values="[COLOR fff0f8ff]aliceblue[/COLOR]|[COLOR fffaebd7]antiquewhite[/COLOR]|[COLOR ff00ffff]aqua[/COLOR]|[COLOR ff7fffd4]aquamarine[/COLOR]|[COLOR fff0ffff]azure[/COLOR]|[COLOR fff5f5dc]beige[/COLOR]|[COLOR ffffe4c4]bisque[/COLOR]|[COLOR ff606060]black[/COLOR]|[COLOR ffffebcd]blanchedalmond[/COLOR]|[COLOR ff0000ff]blue[/COLOR]|[COLOR ff8a2be2]blueviolet[/COLOR]|[COLOR ffa52a2a]brown[/COLOR]|[COLOR ffdeb887]burlywood[/COLOR]|[COLOR ff5f9ea0]cadetblue[/COLOR]|[COLOR ff7fff00]chartreuse[/COLOR]|[COLOR ffd2691e]chocolate[/COLOR]|[COLOR ffff7f50]coral[/COLOR]|[COLOR ff6495ed]cornflowerblue[/COLOR]|[COLOR fffff8dc]cornsilk[/COLOR]|[COLOR ffdc143c]crimson[/COLOR]|[COLOR ff00ffff]cyan[/COLOR]|[COLOR ff00008b]darkblue[/COLOR]|[COLOR ff008b8b]darkcyan[/COLOR]|[COLOR ffb8860b]darkgoldenrod[/COLOR]|[COLOR ffa9a9a9]darkgray[/COLOR]|[COLOR ff006400]darkgreen[/COLOR]|[COLOR ffa9a9a9]darkgrey[/COLOR]|[COLOR ffbdb76b]darkkhaki[/COLOR]|[COLOR ff8b008b]darkmagenta[/COLOR]|[COLOR ff556b2f]darkolivegreen[/COLOR]|[COLOR ffff8c00]darkorange[/COLOR]|[COLOR ff9932cc]darkorchid[/COLOR]|[COLOR ff8b0000]darkred[/COLOR]|[COLOR ffe9967a]darksalmon[/COLOR]|[COLOR ff8fbc8f]darkseagreen[/COLOR]|[COLOR ff483d8b]darkslateblue[/COLOR]|[COLOR ff2f4f4f]darkslategray[/COLOR]|[COLOR ff2f4f4f]darkslategrey[/COLOR]|[COLOR ff00ced1]darkturquoise[/COLOR]|[COLOR ff9400d3]darkviolet[/COLOR]|[COLOR ffff1493]deeppink[/COLOR]|[COLOR ff00bfff]deepskyblue[/COLOR]|[COLOR ff696969]dimgray[/COLOR]|[COLOR ff696969]dimgrey[/COLOR]|[COLOR ff1e90ff]dodgerblue[/COLOR]|[COLOR ffb22222]firebrick[/COLOR]|[COLOR fffffaf0]floralwhite[/COLOR]|[COLOR ff228b22]forestgreen[/COLOR]|[COLOR ffff00ff]fuchsia[/COLOR]|[COLOR ffdcdcdc]gainsboro[/COLOR]|[COLOR fff8f8ff]ghostwhite[/COLOR]|[COLOR ffffd700]gold[/COLOR]|[COLOR ffdaa520]goldenrod[/COLOR]|[COLOR ff808080]gray[/COLOR]|[COLOR ff008000]green[/COLOR]|[COLOR ffadff2f]greenyellow[/COLOR]|[COLOR ff808080]grey[/COLOR]|[COLOR fff0fff0]honeydew[/COLOR]|[COLOR ffff69b4]hotpink[/COLOR]|[COLOR ffcd5c5c]indianred[/COLOR]|[COLOR ff4b0082]indigo[/COLOR]|[COLOR fffffff0]ivory[/COLOR]|[COLOR fff0e68c]khaki[/COLOR]|[COLOR ffe6e6fa]lavender[/COLOR]|[COLOR fffff0f5]lavenderblush[/COLOR]|[COLOR ff7cfc00]lawngreen[/COLOR]|[COLOR fffffacd]lemonchiffon[/COLOR]|[COLOR ffadd8e6]lightblue[/COLOR]|[COLOR fff08080]lightcoral[/COLOR]|[COLOR ffe0ffff]lightcyan[/COLOR]|[COLOR fffafad2]lightgoldenrodyellow[/COLOR]|[COLOR ffd3d3d3]lightgray[/COLOR]|[COLOR ff90ee90]lightgreen[/COLOR]|[COLOR ffd3d3d3]lightgrey[/COLOR]|[COLOR ffffb6c1]lightpink[/COLOR]|[COLOR ffffa07a]lightsalmon[/COLOR]|[COLOR ff20b2aa]lightseagreen[/COLOR]|[COLOR ff87cefa]lightskyblue[/COLOR]|[COLOR ff778899]lightslategray[/COLOR]|[COLOR ff778899]lightslategrey[/COLOR]|[COLOR ffb0c4de]lightsteelblue[/COLOR]|[COLOR ffffffe0]lightyellow[/COLOR]|[COLOR ff00ff00]lime[/COLOR]|[COLOR ff32cd32]limegreen[/COLOR]|[COLOR fffaf0e6]linen[/COLOR]|[COLOR ffff00ff]magenta[/COLOR]|[COLOR ff800000]maroon[/COLOR]|[COLOR ff66cdaa]mediumaquamarine[/COLOR]|[COLOR ff0000cd]mediumblue[/COLOR]|[COLOR ffba55d3]mediumorchid[/COLOR]|[COLOR ff9370db]mediumpurple[/COLOR]|[COLOR ff3cb371]mediumseagreen[/COLOR]|[COLOR ff7b68ee]mediumslateblue[/COLOR]|[COLOR ff00fa9a]mediumspringgreen[/COLOR]|[COLOR ff48d1cc]mediumturquoise[/COLOR]|[COLOR ffc71585]mediumvioletred[/COLOR]|[COLOR ff191970]midnightblue[/COLOR]|[COLOR fff5fffa]mintcream[/COLOR]|[COLOR ffffe4e1]mistyrose[/COLOR]|[COLOR ffffe4b5]moccasin[/COLOR]|[COLOR ffffdead]navajowhite[/COLOR]|[COLOR ff000080]navy[/COLOR]|[COLOR 00000000]none[/COLOR]|[COLOR fffdf5e6]oldlace[/COLOR]|[COLOR ff808000]olive[/COLOR]|[COLOR ff6b8e23]olivedrab[/COLOR]|[COLOR ffffa500]orange[/COLOR]|[COLOR ffff4500]orangered[/COLOR]|[COLOR ffda70d6]orchid[/COLOR]|[COLOR ffeee8aa]palegoldenrod[/COLOR]|[COLOR ff98fb98]palegreen[/COLOR]|[COLOR ffafeeee]paleturquoise[/COLOR]|[COLOR ffdb7093]palevioletred[/COLOR]|[COLOR ffffefd5]papayawhip[/COLOR]|[COLOR ffffdab9]peachpuff[/COLOR]|[COLOR ffcd853f]peru[/COLOR]|[COLOR ffffc0cb]pink[/COLOR]|[COLOR ffdda0dd]plum[/COLOR]|[COLOR ffb0e0e6]powderblue[/COLOR]|[COLOR ff800080]purple[/COLOR]|[COLOR ffff0000]red[/COLOR]|[COLOR ffbc8f8f]rosybrown[/COLOR]|[COLOR ff4169e1]royalblue[/COLOR]|[COLOR ff8b4513]saddlebrown[/COLOR]|[COLOR fffa8072]salmon[/COLOR]|[COLOR fff4a460]sandybrown[/COLOR]|[COLOR ff2e8b57]seagreen[/COLOR]|[COLOR fffff5ee]seashell[/COLOR]|[COLOR ffa0522d]sienna[/COLOR]|[COLOR ffc0c0c0]silver[/COLOR]|[COLOR ff87ceeb]skyblue[/COLOR]|[COLOR ff6a5acd]slateblue[/COLOR]|[COLOR ff708090]slategray[/COLOR]|[COLOR ff708090]slategrey[/COLOR]|[COLOR fffffafa]snow[/COLOR]|[COLOR ff00ff7f]springgreen[/COLOR]|[COLOR ff4682b4]steelblue[/COLOR]|[COLOR ffd2b48c]tan[/COLOR]|[COLOR ff008080]teal[/COLOR]|[COLOR ffd8bfd8]thistle[/COLOR]|[COLOR ffff6347]tomato[/COLOR]|[COLOR 00000000]transparent[/COLOR]|[COLOR ff40e0d0]turquoise[/COLOR]|[COLOR ffee82ee]violet[/COLOR]|[COLOR fff5deb3]wheat[/COLOR]|[COLOR ffffffff]white[/COLOR]|[COLOR fff5f5f5]whitesmoke[/COLOR]|[COLOR ffffff00]yellow[/COLOR]|[COLOR ff9acd32]yellowgreen[/COLOR]|" default="[COLOR ff4682b4]steelblue[/COLOR]" />

        </category>
    <category label="30114">
        <setting id="autostart" label="30900" type="bool" default="false" />
        <!--<setting label="30121" type="lsep" />-->
        <setting type="sep"/>
        <setting id="background.service" label="30400" type="bool" default="false" />
        <setting id="background.startup" label="Update on Login" type="bool" default="false" visible="eq(-1,true)"/>
        <setting id="service.type" label="Service Schedule Type" type="enum" default="Period" visible="eq(-2,true)" values="Period|Time" />
        <setting id="service.interval" label="30401" type="enum" default="1" lvalues="30402|30403|30404|30405" visible="eq(-3,true)+eq(-1,0)" />
        <setting id="service.time" type="time" label="Service Time" default="03:33" visible="eq(-4,true)+eq(-2,1)"/>
        <setting id="service.addon.folders" label="Update Addon Folders Too" type="bool" default="false" visible="eq(-5,true)"/>
        <setting id="background.notify" label="Notify when Finished" type="bool" default="false" visible="eq(-6,true)"/>
        <setting id="update.progress" label="Update Notification Progress" type="bool" default="true" />
    </category>

    <category label="Program Scheduler">
        <setting type="lsep" label="Reminders (5 Minutes Before)"/>
        <setting id="notifications.enabled" label="Reminders" type="bool" default="true" />
        <setting label="Clear Reminders..." type="action" action="RunScript($CWD/notification.py)" />
        <setting type="lsep" label="Autoplay: OSD will not be available"/>
        <setting id="autoplays.enabled" label="Autoplays" type="bool" default="true" />
        <setting id="autoplays.stop" label="Stop After Play" type="bool" default="true" visible="eq(-1,true)"/>
        <setting label="Minutes before" type="enum" id="autoplays.before" values="0|1|2|3|4|5|10" default="1" visible="eq(-2,true)"/>
        <setting label="Minutes after" type="enum" id="autoplays.after" values="0|1|2|3|4|5|10" default="1" visible="eq(-3,true)"/>
        <setting label="Clear Autoplays..." type="action" action="RunScript($CWD/autoplay.py)" />
<!--         <setting type="lsep" label="AutoPlayWith (External Player)"/>
        <setting id="autoplaywiths.enabled" label="AutoPlayWiths" type="bool" default="true" />
        <setting id="autoplaywiths.player" label="PlayerCoreFactory.xml Player" type="text" default="" visible="eq(-1,true)"/>
        <setting id="autoplaywiths.stop" label="Stop After Play" type="bool" default="true" visible="eq(-2,true)"/>
        <setting id="autoplaywiths.ffmpeg" label="ffmpeg Program" type="file" default="" visible="eq(-3,true)"/>
        <setting id="autoplaywiths.folder" label="ffmpeg Output Folder" type="folder" default="" visible="eq(-4,true)"/>
        <setting label="Minutes before" type="enum" id="autoplaywiths.before" values="0|1|2|3|4|5|10" default="1" visible="eq(-5,true)"/>
        <setting label="Minutes after" type="enum" id="autoplaywiths.after" values="0|1|2|3|4|5|10" default="1" visible="eq(-6,true)"/>
        <setting label="Clear Autoplaywiths..." type="action" action="RunScript($CWD/autoplaywith.py)" /> -->
    </category>
    <category label="30140">
        <setting type="lsep" label="30137"/>
        <setting type="lsep" label="30138"/>
        <setting label="Reset EPG Data" type="action" action="RunScript($CWD/ResetDatabase.py, 1)" />
        <setting label="Reset Everything" type="action" action="RunScript($CWD/ResetDatabase.py, 2)" />
    </category>

    <category label="EPG Extra">
        <setting type="sep"/>
        <setting id="program.image" label="Use Program Image from Source" type="bool" default="true" />
        <setting type="sep"/>
        <setting id="program.channel.logo" label="Fall back to Channel Logo for Program Image" type="bool" default="true" />
        <setting type="sep"/>
        <setting id="append.folder" label="Append (Folder) to Name on Add Folder" type="bool" default="false" visible="false"/>
        <setting id="epg.font" label="EPG Font" type="text" default="font13" />
        <setting type="sep" visible="false"/>
        <setting label="Action Editor" type="action" action="RunScript($CWD/ActionEditor.py)" visible="false" />
        <setting id="mine1" label="Custom Command for MINE" type="text" default="ActivateWindow(Videos,library://video,return)" visible="false"/>
    </category>
    <category label="Backup">
        <setting label="Clear Channel Mappings" type="action" action="RunScript($CWD/backup.py,5)" />
        <setting label="Export Channel Mappings" type="action" action="RunScript($CWD/backup.py,1)" />
        <setting label="Import Channel Mappings" type="action" action="RunScript($CWD/backup.py,2)" />
        <setting type="sep"/>
        <setting label="Clear Alternative Channel Mappings" type="action" action="RunScript($CWD/backup.py,6)" />
        <setting label="Export Alternative Channel Mappings" type="action" action="RunScript($CWD/backup.py,3)" />
        <setting label="Import Alternative Channel Mappings" type="action" action="RunScript($CWD/backup.py,4)" />
        <setting type="sep"/>
        <setting label="Download All Addon Folder Logos" type="action" action="RunScript($CWD/logos.py)" />
        <setting label="Download All Channel Logos" type="action" action="RunScript($CWD/channel_logos.py)" />
    </category>	
	
	
    <category label="rolica 1">
        <setting type="lsep" label="Experimental Alternative Data Sources" visible="false"/>
        <setting type="lsep" label="(OK this dialog and return after changing source)" visible="false"/>
        <setting id="source.source" label="Data Source" type="select" default="xmltv" values="xmltv|SchedulesDirect|tvguide.co.uk|tvguide.co.uk now|yo.tv|yo.tv now|bbc" visible="false"/>
        <setting id="tvguide.co.uk.days" label="tvguide.co.uk Days" default="2" type="number"  visible="false"/>
        <setting id="tvguide.co.uk.systemid" label="tvguide.co.uk Provider" default="Sky" type="select"  visible="false" values="BT|Freeview|Freesat|Popular|Sky|Virgin M|Virgin L|Virgin M+|Virgin XL" />
        <setting id="tvguide.co.uk.email" label="tvguide.co.uk email (overrides Provider)" default="" type="text"  visible="false"/>
        <setting label="yo.tv Countries (OK Dialog After Selecting yo.tv Source)" type="action" visible="false" action="RunScript($CWD/yo.py, 1)"/>
        <setting label="yo.tv Providers (OK Dialog After Selecting Countries)" type="action" visible="false" action="RunScript($CWD/yo.py, 2)"/>
        <setting type="lsep" label="SchedulesDirect" visible="false"/>
        <setting id="sd.username" label="SD-Username" default="" type="text"  visible="false"/>
        <setting id="sd.password" label="SD-Password" default="" type="text" option="hidden" visible="false" />
        <setting id="sd.changed" label="SD-Changed" default="0" type="number"  visible="false"/>
        <setting label="Change SchedulesDirect-Login" type="action" action="RunScript($CWD/editor.py, 1)" visible="false"/>
        <setting label="Add lineup" type="action" action="RunScript($CWD/editor.py, 2)" visible="false"/>
        <setting label="Edit channels" type="action" action="RunScript($CWD/editor.py, 3)" visible="false"/>
        <setting label="Delete lineup" type="action" action="RunScript($CWD/editor.py, 4)" visible="false"/>
        <setting id="sd.range" label="Days of guide data to load" type="slider" default="3" range="1,1,14" option="int" visible="false"/>
        <setting id="sd.interval" label="30128" type="enum" default="2" lvalues="30129|30130|30131|30132" visible="false"/>
    </category>
	
	
	
    <category label="rolica 2" >
        <setting type="lsep" label="Secondary XMLTV File" visible="false"/>
        <setting id="xmltv2.enabled" label="XMLTV Secondary Source" type="bool" default="false" visible="false" />
        <setting id="xmltv2.type" label="XMLTV Secondary Source Type" type="enum" enable="true" visible="eq(-1,true)" default="0" values="File|Url" />
        <setting id="xmltv2.file" label="XMLTV Secondary File" type="file" visible="eq(-2,true) + eq(-1,0)" />
        <setting id="xmltv2.url" label="XMLTV Secondary Url" type="text" visible="eq(-3,true) + eq(-2,1)"  />
    </category>
	
	
	

</settings>